[P014]Patent Family
Receive patent family data by patent_id or patent_number. Patent family data includes simple, INPADOC, and PatSnap family authority, family members and count.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 1a47a70d-6b54-4709-a72a-ed552781fcac | patent_id |
| string | JP1999068462A | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | US11205304B2 | patent number |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
patent_family | object | Please check the form: PatentFamily | patent family |
simple_family | array | Please check the form: CitedByPatents | simple family |
kind | string | A1 | kind code |
country | string | US | citation authority |
sequence | integer<int32> | 1 | sequence |
doc_number | string | 20130033085 | doc number |
inpadoc_family | array | Please check the form: CitedByPatents | inpadoc family |
patsnap_family | array | Please check the form: CitedByPatents | patsnap family |
simple_family_id | integer<int32> | 331537782 | simple family id |
inpadoc_family_id | integer<int32> | 459115956 | inpadoc family id |
patsnap_family_id | integer<int32> | 459115956 | patsnap family id |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"patent_family": {
"simple_family": [
{
"kind": "A1",
"country": "US",
"sequence": 1,
"doc_number": "20130033085"
}
],
"inpadoc_family": [
{
"kind": "A1",
"country": "US",
"sequence": 1,
"doc_number": "20130033085"
}
],
"patsnap_family": [
{
"kind": "A1",
"country": "US",
"sequence": 1,
"doc_number": "20130033085"
}
],
"simple_family_id": 331537782,
"inpadoc_family_id": 459115956,
"patsnap_family_id": 459115956
}
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |